#!/usr/bin/gawk -f

BEGIN{
  k = 0;
}
(ARGIND==1){
  id = -$1;
  a[id] = $3+0;
  m[id] = $8+0;
}
(ARGIND>1) && !/^#/{
  i = index($0,"|")+1;
  j = index($0,"||")-1;
  k = k+1;
  s = substr($0, i, j-i);
  s2 = substr($0, 0, i)
  n = split(s, l);

  a_ = 0.0;
  amin = 1.e38;
  amax = -1.e38;
  ms = 0.0
  for (i=1; i<=n; i++) {
    j = l[i];
    a_ = a_ + a[j]*m[j];
    amin = min(amin,a[j]);
    amax = max(amax,a[j]);
    ms = ms + m[j];
  }
  a_ = a_/ms;
  print s2, n, sprintf("%.8f", a_), amin, amax;
}

func min(x,y){
  if (x<y) {
    return x;
  } else {
    return y;
  }
}

func max(x,y){
  if (x>y) {
    return x;
  } else {
    return y;
  }
}


