#!/usr/bin/gnuplot

set xl "projectile a [au]"
set yl "source a [au]"
set cbl "source a [au]"

set xr [0.4:1.8]

f(x)=0.5+x/4.

p \
  "<awk '{ print $7,$16; print $7,$17; print s; }' moonforming2.out" u 1:2 w l lc 'green',\
  "moonforming2.out" u 7:15:(f($14)):15 w p pt 7 ps var lc palette z,\
  1.0 w l lt 0

pa -1

set term png small
set out "moonforming2.png"
rep

q
  x w l lt 0

