#!/usr/bin/gnuplot

f(m) = m*10.0

set term png small size 1280,480
set out "coll.png"

set xl "j"
set yl ""
set yr [0:3]

set xr [0.5:]
set xtics 1
set noytics
set mxtics 2
set grid mxtics

p \
  "coll.out" u 1:(1):(f($3)) not w p pt 7 ps var,\
  "coll.out" u 1:(1):(f($5)) not w p pt 6 ps var,\
  "coll.out" u 1:(2):(f($4)) not w p pt 7 ps var,\

